%global pypi_name crontab

Name:           python-%{pypi_name}
Version:        2.2.3
Release:        1%{?dist}
Summary:        Crontab module for reading and writing crontab files and accessing the system cron automatically and simply using a direct API.

License:        LGPLv3
URL:            https://github.com/doctormo/python-crontab
Source0:        https://pypi.python.org/packages/00/9c/fd5517e1b046d0ee0d5d7d9f2bc61c724d7bbed17a6f658b5ff57a1cb4bf/python-%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

%description
Crontab module for reading and writing crontab files and accessing the system cron automatically and simply using a direct API.

%package     -n python2-%{pypi_name}
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Summary:        Crontab module for reading and writing crontab files and accessing the system cron automatically and simply using a direct API.
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
Crontab module for reading and writing crontab files and accessing the system cron automatically and simply using a direct API.


%package     -n python%{python3_pkgversion}-%{pypi_name}
Summary:        Crontab module for reading and writing crontab files and accessing the system cron automatically and simply using a direct API.
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
Crontab module for reading and writing crontab files and accessing the system cron automatically and simply using a direct API.

%if 0%{?with_python3_other}
%package -n python%{python3_other_pkgversion}-%{pypi_name}
Summary:        Crontab module for reading and writing crontab files and accessing the system cron automatically and simply using a direct API.
BuildRequires:  python%{python3_other_pkgversion}-devel
BuildRequires:  python%{python3_other_pkgversion}-setuptools
%{?python_provide:%python_provide python%{python3_other_pkgversion}-%{pypi_name}}

%description -n python%{python3_other_pkgversion}-%{pypi_name}
Crontab module for reading and writing crontab files and accessing the system cron automatically and simply using a direct API.
%endif

%prep
%setup -q -n %{name}-%{version}

%build
%py2_build
%py3_build
%if 0%{?with_python3_other}
%py3_other_build
%endif

%install
%if 0%{?with_python3_other}
%py3_other_install
%endif
%py3_install
%py2_install


%files -n python2-%{pypi_name}
%license COPYING
%doc README.md
%{python2_sitelib}/cronlog.*
%{python2_sitelib}/crontab.*
%{python2_sitelib}/crontabs.*
%{python2_sitelib}/python_%{pypi_name}-%{version}-py?.?.egg-info

%files -n python%{python3_pkgversion}-%{pypi_name}
%license COPYING
%doc README.md
%{python3_sitelib}/cronlog.py
%{python3_sitelib}/crontab.py
%{python3_sitelib}/crontabs.py
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/python_%{pypi_name}-%{version}-py?.?.egg-info

%if 0%{?with_python3_other}
%files -n python%{python3_other_pkgversion}-%{pypi_name}
%license COPYING
%doc README.md
%{python3_sitelib}/cronlog.py
%{python3_sitelib}/crontab.py
%{python3_sitelib}/crontabs.py
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/python_%{pypi_name}-%{version}-py?.?.egg-info
%endif


%changelog
* Thu Jul 20 2017 Dan Čermák <dan.cermak@cgc-instruments.de>
- Initial release
